WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Genesis eNews Extended

Creates a new widget to easily add mailing lists integration to a Genesis website. Works with FeedBurner, MailChimp, AWeber, FeedBlitz and more.

1.4.0

1.3.3

1.3.2

  • Remove type hints to prevent error when strict reporting used in PHP 5.4

1.3.1

  • Minor code improvements.
  • Updates HTML5 option for late Genesis 2.0 changes. Props Nick Davis.

1.3.0

1.2.0

  • Adds text space after form. Perfect for a link to a Privacy Statement!
  • Code cleanup. Thanks to Kim Parsell for reporting.
  • Adds labels to form elements to make it compatible with screen readers for the visually impaired.
  • Adds Serbian Translation. Props to Diana S.
  • Listing of issues resolved in this version.

1.1.2

  • Improved French translation. Props to Paul de Wouters.
  • Improved German translation. Props to David Decker!.
  • Enables mail service validation of name fields by clearing default text onsubmit.

1.1.1

  • Fixed bug with incorrect escaping function used in first and last name fields.
  • Fixed bug with some translations not working.

1.1.0

  • Allows for more HTML tags to be used in Text to Show field. Dropped genesis_allowed_tags in favor or wp_kses_post. Props to John Levandowski.
  • eNews Extended now compatible with Catalyst theme (Catalyst not officially supported).
  • Fuzzy translations added for a wide number of langauges based on Genesis 1.8.2 translations of the original eNews Widget.

1.0.X

  • Adds ability to edit "First Name" and "Last Name" displayed on front-end.
  • Security update and other code cleanup.
  • Version numbering now using semver.org rationale.

0.2.0

0.1.6

  • Makes available first and last name fields.

0.1.5

  • Adds option to open confirmation window in same tab.

0.1.4

0.1.3

  • Adds Feedburner support in anticipation of Genesis 1.9
  • Security and translation updates

0.1.2

  • Modifies class name to work with more StudioPress themes.

0.1.1

  • Adds "Hidden Fields" widget setting to make widget compatible with more mailing services.

0.1

  • Inital release.

Requires: 3.0 or higher
Compatible up to: 3.9
Last Updated: 2014-4-16
Downloads: 118,224

Ratings

5 stars
5 out of 5 stars

Support

10 of 16 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,2,2 100,1,1
100,1,1 100,1,1 100,1,1
100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,2,2 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1
100,1,1
100,2,2